Bug 2075533 (CVE-2022-1508) - CVE-2022-1508 kernel: out-of-bounds read in iov_iter_revert() in lib/iov_iter.c
Summary: CVE-2022-1508 kernel: out-of-bounds read in iov_iter_revert() in lib/iov_iter.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-1508
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2069811 2079543
TreeView+ depends on / blocked
 
Reported: 2022-04-14 13:04 UTC by Alex
Modified: 2022-04-28 13:18 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read flaw was found in the Linux kernel’s io_uring module in the way a user triggers the io_read() function with some special parameters. This flaw allows a local user to read some memory out of bounds.
Clone Of:
Environment:
Last Closed: 2022-04-19 20:08:40 UTC
Embargoed:


Attachments (Terms of Use)

Description Alex 2022-04-14 13:04:36 UTC
An out-of-bounds read flaw in the Linux Kernel found in io_uring module.
The calling path is: io_issue_sqe -> io_read -> iov_iter_revert and finally cause the system to crash.

Reference:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=89c2b3b74918200e46699338d7bcc19b1ea12110


Note You need to log in before you can comment on or make changes to this bug.